package lab6;

import COSC3P91.xml.XMLNodeConverter;
import static COSC3P91.xml.XMLTools.getIntAttribute;
import static COSC3P91.xml.XMLTools.getStringAttribute;
import org.w3c.dom.Node;

public class XMLNodeConverterPerson implements XMLNodeConverter<Person> {
    
    private final static XMLNodeConverterPerson instance = new XMLNodeConverterPerson();
    
    public static XMLNodeConverterPerson getInstace() {
        return instance;
    }
    
    private XMLNodeConverterPerson() {
    }

    @Override
    public Person convertXMLNode(Node node) {
        Person result = null;
        String name = node.getNodeName();
        if (name.equals("Person")) {
            String firstName = getStringAttribute(node,"firstName");
            String middleName = getStringAttribute(node,"middleName");
            String lastName = getStringAttribute(node,"lastName");
            int age = getIntAttribute(node,"age");
            String address = getStringAttribute(node,"address");
            result = new Person(firstName,middleName,lastName,age,address);
        }
        return result;
    }
    
}
