package lab6;

import COSC3P91.xml.XMLNodeConverter;
import static COSC3P91.xml.XMLTools.getChildNodes;
import org.w3c.dom.Node;

public class XMLNodeConverterPersonList implements XMLNodeConverter<PersonList> {
    
    private final static XMLNodeConverterPersonList instance = new XMLNodeConverterPersonList();
    
    public static XMLNodeConverterPersonList getInstance() {
        return instance;
    }
    
    private XMLNodeConverterPersonList() {
    }
    
    @Override
    public PersonList convertXMLNode(Node node) {
        PersonList result = null;
        String name = node.getNodeName();
        if (name.equals("PersonList")) {
            result = new PersonList();
            for(Node childNode : getChildNodes(node)) {
                result.add(XMLNodeConverterPerson.getInstace().convertXMLNode(childNode));
            }
        }
        return result;
    }
  
}
