package lab6;

import COSC3P91.xml.XMLReader;
import java.io.StringReader;
import static lab6.DepartmentType.ACADEMIC;

public class Main {

    public static void main(String[] args) {
	XMLReader.setXSDPath("./XSD/");
        
        Person p1 = new Person("John","","McDonald",42,"12 Riverside Drive");
        String p1XML = p1.toXMLString();
        System.out.println(p1XML);
        
        Person p2 = Person.read(new StringReader(p1XML));
        System.out.println(p2.toXMLString());
        
        PersonList list1 = new PersonList();
        list1.add(p1);
        list1.add(new Person("Michael","J","Fox",63,"unkown"));
        list1.add(new Person("Holden","James","Ridley",28,"15 Main Street"));
        String list1XML = list1.toXMLString();
        System.out.println(list1XML);
        
        PersonList list2 = PersonList.read(new StringReader(list1XML));
        System.out.println(list2.toXMLString());
        
        Department d1 = new Department("COSC",list1,ACADEMIC);
        String depXML = d1.toXMLString();
        System.out.println(depXML);
        
        Department d2 = Department.read(new StringReader(depXML));
        System.out.println(d2.toXMLString());
    }
    
}
