package lab6;

import COSC3P91.xml.XMLObject;
import COSC3P91.xml.XMLReader;
import java.io.Reader;

public class Person implements XMLObject {
    
    private final String firstName, middleName, lastName;
    private final int age;
    private final String address;
    
    private static XMLReader<Person> reader = null;
    
    public static Person read(Reader source) {
        if (reader==null) {
            reader = new XMLReader();
            reader.setXMLSchema("Person.xsd");
            reader.setXMLNodeConverter(XMLNodeConverterPerson.getInstace());
        }
        return reader.readXML(source);
    }

    public Person(String firstName, String middleName, String lastName, int age, String address) {
        this.firstName = firstName;
        this.middleName = middleName;
        this.lastName = lastName;
        this.age = age;
        this.address = address;
    }

    @Override
    public String toXMLString() {
        return "<Person firstName=\"" + firstName + "\" middleName=\"" + middleName + "\" lastName=\"" + lastName + "\" age=\"" + age + "\" address=\"" + address +"\"/>";
    }
    
}
