package lab6;

import COSC3P91.xml.XMLObject;
import COSC3P91.xml.XMLReader;
import java.io.Reader;
import java.util.ArrayList;

public class PersonList extends ArrayList<Person> implements XMLObject {
    
    private static XMLReader<PersonList> reader = null;
    
    public static PersonList read(Reader source) {
        if (reader==null) {
            reader = new XMLReader();
            reader.setXMLSchema("PersonList.xsd");
            reader.setXMLNodeConverter(XMLNodeConverterPersonList.getInstance());
        }
        return reader.readXML(source);
    }

    @Override
    public String toXMLString() {
        String result = "<PersonList>\n";
        for(Person p : this) {
            result += p.toXMLString() + "\n";
        }
        return result + "</PersonList>";
    }
    
}
